#
# spec file for package switchboard-plug-printers
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         appid io.elementary.settings.printers
Name:           switchboard-plug-printers
Version:        8.0.1
Release:        1.3
Summary:        Printers plug for Switchboard
License:        GPL-3.0-or-later
URL:            https://github.com/elementary/switchboard-plug-printers
Source0:        %{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  meson
BuildRequires:  pkgconfig
BuildRequires:  vala
%if 0%{?suse_version} < 1600
BuildRequires:  cups-devel
%else
BuildRequires:  pkgconfig(cups)
%endif
BuildRequires:  pkgconfig(granite-7)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libadwaita-1)
BuildRequires:  pkgconfig(switchboard-3)
Requires:       switchboard

%description
This plug configures all available printers.

%lang_package

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{appid}
%fdupes %{buildroot}/%{_datadir}

%files
%license COPYING
%doc README.md
%dir %{_libdir}/{switchboard-3,switchboard-3/hardware}
%{_libdir}/switchboard-3/hardware/lib%{appid}.so
%{_datadir}/metainfo/%{appid}.metainfo.xml

%files lang -f %{appid}.lang

%changelog
* Tue Nov 12 2024 Richard Rahl <rrahl0@opensuse.org>
- Require switchboard at runtime
* Wed Oct 23 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 8.0.1:
  * Restore sidebar position
  * Updated translations
* Fri Aug  9 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 8.0.0:
  * Improved screen reader support
  * Provide feedback for form validation when adding printers
  * Updated translations
- update to 2.2.1:
  * Updated translations
- update to 2.2.0:
  * Allow clearing the queue for each printer
  * Improved job row layout
  * Show the supported language for each driver
  * Show color names below ink levels
  * Avoid expanding the window for printers with many ink levels
  * Use newer add/remove list pattern
  * Update sidebar after adding or removing printer
  * Update sidebar after enabling or disabling printer
  * Update job list after job state change
  * Updated translations
- update to 2.1.10:
  * Updated translations
- update to 2.1.9:
  * Updated translations
- update to 2.1.8:
  * Updated translations
- update to 2.1.7:
  * Updated translations
- switch url to github, as we don't want to link to a different OS
* Tue Mar 12 2019 Alexei Podvalsky <avvissu@yandex.by>
- Update to 2.1.6:
  * New upstream release.
* Thu Nov  8 2018 Alexei Podvalsky <avvissu@yandex.by>
- Add regex for filtering provided libraries
* Wed Oct 17 2018 Alexei Podvalsky <avvissu@yandex.by>
- Update to 2.1.5:
  * New upstream release.
  * New upstream release.
* Mon Jun 11 2018 avvissu@yandex.by
- Update to 0.1.3:
  * New upstream release.
* Sat Jun  9 2018 avvissu@yandex.by
- Switch to github
- Switch to meson
- Add COPYING and README files
- Spec file cleanup
* Mon Mar 12 2018 avvissu@yandex.by
- Add cups-pk-helper as required dependency
* Wed Oct 18 2017 avvissu@yandex.by
- Update to 0.1.2:
  * Remove static modifier from constants (#29)
  * Allow renaming printer location (#28)
  * Allow cancelling halted jobs (#27)
  * Merge remote-tracking branch 'origin/master'
  * Ensure that jobs can made visible (#26)
* Fri Jul 21 2017 avvissu@yandex.by
- Update to 0.1.1
- Drop switchboard-plug-printers-0.1-vala-0.36.patch
- Change the sourceurl to git
* Mon Jun  5 2017 avvissu@yandex.by
- Build with vala >= 0.36:
  * add switchboard-plug-printers-0.1-vala-0.36.patch
* Sun Sep 18 2016 avvissu@yandex.by
- Update to stable release 0.1
* Thu Aug  4 2016 avvissu@yandex.by
- Initial package of version 0.1.0+bzr.98
